Subject: ANNOUNCE: Math::Fraction, version 0.4 alpha
From: [email-masked]
Date: 25 Mar 1997 13:04:16 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Math::Fraction, version 0.4 alpha

      Alpha Release, 24 March 1997
      Copyright 1997 by Kevin Atkinson ([email-masked])
      Developed with Perl v 5.003_37 for Win32.
      Has been testing on Perl Ver 5.003 on a solaris machine.

  Description
  -----------

    A Module to manipulate exact fractions.  It is meant to replace
    the bigrat.pl library.  It can do everything it can do and a lot
    more.

  Features
  --------

   .  Being able to add, subtract, multiply, and divide, among other
      things just like you would normal numbers that's to the overload
      module.

   .  Being able to convert a decimal, including repeating ones, into
      a fraction.  For example, 1.142857142857 would become 8/7.

   .  Being able to control how the fraction is displayed.  For
   example
      8/7 verses 1 1/7

   .  Being able to use arbitrary size numbers in the numerator and
   the
      denominator.

   .  Being able to covert between SMALL (using normal
   floats/integers)
      and BIG (using arbitrary size floats/integers) as needed so you
      do not have to worry about it. (New as of ver .4a)

   .  Being able to have multiple default sets so that a function can
      modify the defaults with out effecting other functions
      (New as of ver .4a)

  Archive Location
  ----------------

    .  http://sunsite.unc.edu/kevina/perl

    .  or on CPAN

  Other Info
  ----------

    I need alpha testers!  So far I have gotten zero feedback on my
    module. I have tested it as well as I could my self however I am
    positive there are some bugs in it.

    So, if you do have some time please check it out and let me know
    what you think.  Thanks.